Calculate carbon footprint

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Calculate the carbon footprint of each transaction

In addition to the carbon footprint, this API also returns additional data such as retailer sustainability credentials, retailer logo, carbon footprint equivalences.

Example Request

{
    "transactions": [
        {
            "amount": -8.50,
            "currency": "GBP",
            "description": "PRET A MANGER",
            "timestamp": "2022-09-24T18:46:13+00:00",
            "referenceId": "yayzy-transaction-04",
            "mcc": "7641",
            "transactionType": "debit",
            "endUserId": "yayzy-user-04",
            "categoriesDefault": ["Restaurants", "Cafe"],
            "endUserPreferences": {
                "dietType": "vegan"
                }
        }       
    ]
}

Example Response

{
    "transactions": [
        {
            "_id": "632b100e651d0a9dab5e33a6",
            "amount": -8.5,
            "referenceId": "yayzy-transaction-04",
            "description": "Pret a Manger",
            "carbonFootprint": 1.56,
            "category": {
                "_id": "60c21ea6e088574facaa4969",
                "name": "Fast Food",
                "parentCategory": {
                    "_id": "60c2207aef7a224f78e5bebc",
                    "name": "Food & Dining"
                }
            },
            "merchant": {
                "_id": "60db0efb200cf72884b323e7",
                "name": "Pret a Manger",
                "logoUrl": "https://yayzy-public-assets.s3.eu-west-2.amazonaws.com/logos/merchants/Pret+A+Manger.svg",
                "sustainabilityEffort": "pledged"
            },
            "equivalances": [
                {
                    "name": "kmDrivenInSmallCar",
                    "value": 10.15
                },
                {
                    "name": "beefSteaks",
                    "value": 0.12
                },
                {
                    "name": "treesCutPerYear",
                    "value": 0
                },
                {
                    "name": "tripsFromLondonToRome",
                    "value": 0
                },
                {
                    "name": "sqFeetArticSeaIceLoss",
                    "value": 0.05
                }
            ]
        }
    ]
}

Note: transactionType is required.

Body Params
transactions
array of objects
required
transactions*
Response

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json